Bug 1161174 - After update tumbleweed having odd hangs and crashes
After update tumbleweed having odd hangs and crashes
Status: RESOLVED INVALID
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
x86-64 Other
: P5 - None : Critical (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-17 11:40 UTC by Dev Guy
Modified: 2021-01-27 13:07 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dev Guy 2020-01-17 11:40:52 UTC
I performed an update on my opensuse tumbleweed around, "Fri 17 Jan 2020 06:32:12 AM EST"

During this update one of the hash checked failed and I selected not to install the package and aborted the process by selecting the prompts offer to me. 

The update was done though the terminal.

After a few seconds my system just froze, firefox was open but not responsive, my terminal was still accepting keystroke and then stop responding. Soon the entire system was frozen except for the mouse cursor.

I had to do a hard-reboot but the system would hang during booting. I probably did a hard-reboot 3 or 4 times before I could login.

Now I notice that firefox has a random crash with one of its open tabs.

I don't feel the previous update was released correctly and hope a fresh one can be pushed up that force all the previous updates to get installed correctly.

Thanks
Comment 1 Dev Guy 2020-01-17 13:15:30 UTC
Update!

While I was working, I was auto-logged out and lost what I was doing.

I was editing somethings in an IDE, and next think I notice is a login screen after a quick screen blanking?

I logged back in and all my stuff is gone, just a new fresh blank screen!

This really needs to be fixed, my system now seems to be unstable because of the last update.
Comment 2 Dev Guy 2020-01-17 14:16:58 UTC
I am see this now when I try to do an update:


Repository 'Main Repository (NON-OSS)' is up to date.                                                                           
Repository 'Main Repository (OSS)' is up to date.                                                                               
Repository 'Main Update Repository' is up to date.                                                                              
Retrieving repository 'Packman Repository' metadata -------------------------------------------------------------------------[|]

Warning: Digest verification failed for file 'primary.xml.gz'
[/var/tmp/AP_0xtsHfd3/repodata/primary.xml.gz]

  expected c8adba7c56c73ef3f7defe403504386ea253b510d8d141c5c269e86637da64b1
  but got  b90286a19b632b772c2b4101167029bfb8692bd63813786bace3f0ba25c876cc

Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.

However if you made certain that the file with checksum 'b902..' is secure, correct
and should be used within this operation, enter the first 4 characters of the checksum
to unblock using this file on your own risk. Empty input will discard the file.

Unblock or discard? [b902/...? shows all options] (discard): 
Retrieving repository 'Packman Repository' metadata .....................................................................[error]
Repository 'Packman Repository' is invalid.
[http-ftp.gwdg.de-690e529a|http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Tumbleweed/] Valid metadata not found at specified URL
Please check if the URIs defined for this repository are pointing to a valid repository.
Skipping repository 'Packman Repository' because of the above error.
Repository 'libdvdcss repository' is up to date.                                                                                
Retrieving repository 'packman' metadata ------------------------------------------------------------------------------------[-]

Warning: Digest verification failed for file 'primary.xml.gz'
[/var/tmp/AP_0xpfnRB7/repodata/primary.xml.gz]

  expected c8adba7c56c73ef3f7defe403504386ea253b510d8d141c5c269e86637da64b1
  but got  49347f01c55a4a25579d9e8c91fd4c7b78d6258fffa6a8666572545475949683

Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.

However if you made certain that the file with checksum '4934..' is secure, correct
and should be used within this operation, enter the first 4 characters of the checksum
to unblock using this file on your own risk. Empty input will discard the file.

Unblock or discard? [4934/...? shows all options] (discard): 
Retrieving repository 'packman' metadata ................................................................................[error]
Repository 'packman' is invalid.
[packman|http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/] Valid metadata not found at specified URL         
Please check if the URIs defined for this repository are pointing to a valid repository.
Skipping repository 'packman' because of the above error.
Some of the repositories have not been refreshed because of an error.
Retrieving repository 'Packman Repository' metadata -------------------------------------------------------------------------[\]

Warning: Digest verification failed for file 'primary.xml.gz'
[/var/tmp/AP_0xZfKDC3/repodata/primary.xml.gz]

  expected c8adba7c56c73ef3f7defe403504386ea253b510d8d141c5c269e86637da64b1
  but got  b5666c960953d09de4dae2c60167d4c32acf1b48e38bef761136a53e41d271c8

Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.

However if you made certain that the file with checksum 'b566..' is secure, correct
and should be used within this operation, enter the first 4 characters of the checksum
to unblock using this file on your own risk. Empty input will discard the file.

Unblock or discard? [b566/...? shows all options] (discard): 
Retrieving repository 'Packman Repository' metadata .....................................................................[error]
Repository 'Packman Repository' is invalid.
[http-ftp.gwdg.de-690e529a|http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Tumbleweed/] Valid metadata not found at specified URL
Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Skipping repository 'Packman Repository' because of the above error.
Retrieving repository 'packman' metadata ------------------------------------------------------------------------------------[/]

Warning: Digest verification failed for file 'primary.xml.gz'
[/var/tmp/AP_0xQxQP01/repodata/primary.xml.gz]

  expected c8adba7c56c73ef3f7defe403504386ea253b510d8d141c5c269e86637da64b1
  but got  b82767d7f4ebfa30af85f683a830b02e266543177738fb9af1fc0c3246990ef8

Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.

However if you made certain that the file with checksum 'b827..' is secure, correct
and should be used within this operation, enter the first 4 characters of the checksum
to unblock using this file on your own risk. Empty input will discard the file.

Unblock or discard? [b827/...? shows all options] (discard):
Comment 3 Dev Guy 2020-01-17 14:28:07 UTC
I deleted the packman repository and added it back in again, not getting the error:

Repository 'Main Repository (NON-OSS)' is up to date.                                                                           
Repository 'Main Repository (OSS)' is up to date.                                                                               
Repository 'Main Update Repository' is up to date.                                                                              
Repository 'libdvdcss repository' is up to date.                                                                                
Repository 'packman' is up to date.                                                                                             
Building repository 'packman' cache .....................................................................................[error]
Error building the cache:
[|] Failed to cache repo (1).
Skipping repository 'packman' because of the above error.
Some of the repositories have not been refreshed because of an error.
Building repository 'packman' cache .....................................................................................[error]
Error building the cache:
[|] Failed to cache repo (1).
Warning: Skipping repository 'packman' because of the above error.
Some of the repositories have not been refreshed because of an error.
Loading repository data...
Reading installed packages...

The following 15 package updates will NOT be installed:
  appstream-glib deltarpm libappstream-glib8 libcreaterepo_c0 libdrpm0 libmodulemd2 libsnmp30 libsolv-tools libzypp
  python3-createrepo_c python3-rpm python3-solv rpm ruby-solv supermin

Nothing to do.

I used the YAST Repositories to update all enabled repo, but the error is persisting.

How can I fix the problems I am now having?
Comment 4 Alynx Zhou 2020-01-19 00:49:13 UTC
I think there is some problem of packman repo that you used, so part of your system cannot be upgraded because they are from packman repo. There should be little help and you may need to ask packman repo for help instead.
Comment 5 Dev Guy 2020-01-23 22:58:08 UTC
I managed to get my system working again by using the install cd and then selecting upgrade system.

I also removed the packman repo and then add it back after the upgrade.
Comment 6 Chenzi Cao 2021-01-27 13:07:17 UTC
Hi, I'm going to close this bug report now. It looks like there are some problem on packman repository, close here. But please feel free to reopen it whenever necessary, thanks.